Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.resource
Class SimulatedResource

    java.lang.Object
      lbg.resource.Resource
          lbg.resource.SimulatedResource

    public class SimulatedResource

extends Resource

Author:
  Cyril Briquet

Constructor Summary
`SimulatedResource(ResourceBasicConfiguration res_basic_config, ResourceDataConfiguration res_data_config, ResourceReliabilityConfiguration res_rel_config, ResourceNetworkConfiguration res_net_config, InternalPeerHandle owner_peer, EventList el)`

Method Summary
`void` | `cancelTask()`
`java.util.logging.Logger` | `logger()`
`void` | `runTask(Task t)`
`boolean` | `setWorkingSet(GridData[][] working_set)`
`java.lang.String` | `toString()`

Methods inherited from class lbg.resource.Resource
`cacheCapacity, completeTask, connect, expectedTaskRuntime, id, idle, netConfig, owner, power, runningTask, service, taskStartTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimulatedResource

    public SimulatedResource(ResourceBasicConfiguration res_basic_config,
                             ResourceDataConfiguration res_data_config,
                             ResourceReliabilityConfiguration res_rel_config,
                             ResourceNetworkConfiguration res_net_config,
                             InternalPeerHandle owner_peer,
                             EventList el)
                      throws GridException

Throws:
  `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Resource`

### runTask

    public void runTask(Task t)
                 throws GridException

  Overrides:
    `runTask` in class `Resource`
  Throws:
    `GridException`

### setWorkingSet

    public boolean setWorkingSet(GridData[][] working_set)
                          throws GridException

  Specified by:
    `setWorkingSet` in class `Resource`
  Throws:
    `GridException`

### cancelTask

    public void cancelTask()
                    throws GridException

  Overrides:
    `cancelTask` in class `Resource`
  Throws:
    `GridException`

### logger

    public java.util.logging.Logger logger()

  Specified by:
    `logger` in class `Resource`
  Returns:
    null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.